Last Comment Bug 599796 - Mac builds broken by default architecture switch in gecko
: Mac builds broken by default architecture switch in gecko
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Nick Thomas [:nthomas]
:
Mentors:
Depends on:
Blocks: 571367 599862 600223
  Show dependency treegraph
 
Reported: 2010-09-26 22:18 PDT by Nick Thomas [:nthomas]
Modified: 2010-09-28 09:21 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fix - v1 (1.35 KB, patch)
2010-09-27 02:39 PDT, Philipp Kewisch [:Fallen]
no flags Details | Diff | Review

Description Nick Thomas [:nthomas] 2010-09-26 22:18:10 PDT
configure: error: SDK not found.  When using --with-macos-sdk, you must
specify a valid SDK.  SDKs are installed when the optional cross-development
tools are selected during the Xcode/Developer Tools installation.
*** Fix above errors and then restart with               "make -f client.mk build"
when trying to configure x86_64. 

This should get you back to ppc+i386:
diff --git a/seamonkey/macosx/comm-central-trunk/nightly/mozconfig b/seamonkey/macosx/comm-central-trunk/nightly/mozconfig
--- a/seamonkey/macosx/comm-central-trunk/nightly/mozconfig
+++ b/seamonkey/macosx/comm-central-trunk/nightly/mozconfig
@@ -1,16 +1,18 @@
 if test -e "$topsrcdir/mozilla/build/macosx/universal/mozconfig"; then
   # We need some hackery to deal with the mozilla/ build system calling this
   # mozconfig.
   oldtopsrcdir=$topsrcdir
   export topsrcdir=$topsrcdir/mozilla
 fi
 
-. $topsrcdir/build/macosx/universal/mozconfig
+mk_add_options MOZ_BUILD_PROJECTS="ppc i386"
+. $topsrcdir/build/macosx/universal/mozconfig.common
+export MOZ_PKG_PLATFORM=mac
 
 if test -n $oldtopsrcdir; then
   export topsrcdir=$oldtopsrcdir
 fi
 
 ac_add_options --enable-application=suite
 ac_add_options --enable-update-channel=nightly
 ac_add_options --enable-update-packaging

If you want ppc symbols on crash-stats still then please write a build system patch that makes MAKE_SYM_STORE_ARGS in the top-level Makefile.in
Comment 1 Philipp Kewisch [:Fallen] 2010-09-27 02:39:52 PDT
Created attachment 478745 [details] [diff] [review]
Fix - v1

This patch should take care for both Thunderbird+Calendar+Tryserver
Comment 2 Philipp Kewisch [:Fallen] 2010-09-27 02:42:22 PDT
Comment on attachment 478745 [details] [diff] [review]
Fix - v1

Please excuse, I was on the wrong bug :-}
Comment 3 Philip Chee 2010-09-27 03:23:35 PDT
> Please excuse, I was on the wrong bug :-}
But we thank you for the patch anyway.
Comment 4 Robert Kaiser (not working on stability any more) 2010-09-27 04:29:10 PDT
Nick, thanks for filing this and giving us a way out of it, that's very much appreciated.

We'll want to go that way for the moment, until we can switch to the new universal builds, but we'll need hardware for that, as it seems we only can build that on 10.6 and we only have 10.5 machines, which will still be needed for building the stable branch. Also, I think they story of AUS and probably release automation would be unclear if we'd switch to single-architecture builds for the moment, so I'd prefer not to do that.

That said, I have no problem with unsupporting PPC per se, if we have a good way forward, which we don't yet, so we want to try and keep that config for the moment.
Comment 5 Robert Kaiser (not working on stability any more) 2010-09-27 07:47:41 PDT
Pushed http://hg.mozilla.org/build/buildbot-configs/rev/7bfc00bc14b6 crediting Nick, I hope that should resolve the problems for the moment.

I'll file a followup depending on this and the Firefox bug for looking into switching to "new universal" for SeaMonkey builds in the future. We'll need to investigate what we need to do that.

Note You need to log in before you can comment on or make changes to this bug.